For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Search through conversation transcript messages by full-text and fuzzy search
Headers
xi-api-keystringOptional
Query parameters
text_querystringRequired
The search query text for full-text and fuzzy matching
agent_idstring or nullOptional
Agent id (agent_…) or speech engine external id (seng_), resolved to the same underlying resource.
visited_agent_idslist of strings or nullOptional
Filter conversations where any of these agents participated. Can not exceed 50 values.
visited_agent_branch_idslist of strings or nullOptional
Filter conversations where any of these agent branches participated. Can not exceed 50 values.
triggered_procedure_idslist of strings or nullOptional
Filter conversations where any of these procedures were triggered. Can not exceed 50 values.
call_successfulenum or nullOptional
The result of the success evaluation
Allowed values:
call_start_before_unixinteger or nullOptional
Unix timestamp (in seconds) to filter conversations up to this start date.
call_start_after_unixinteger or nullOptional
Unix timestamp (in seconds) to filter conversations after to this start date.
call_duration_min_secsinteger or nullOptional
Minimum call duration in seconds.
call_duration_max_secsinteger or nullOptional
Maximum call duration in seconds.
rating_maxinteger or nullOptional1-5
Maximum overall rating (1-5).
rating_mininteger or nullOptional1-5
Minimum overall rating (1-5).
has_feedback_commentboolean or nullOptional
Filter conversations with user feedback comments.
user_idstring or nullOptional
Filter conversations by the user ID who initiated them.
evaluation_paramslist of strings or nullOptional
Evaluation filters. Repeat param. Format: criteria_id:result where result is one of success|failure|unknown. Example: eval=value_framing:success
data_collection_paramslist of strings or nullOptional
Data collection filters. Repeat param. Format: id:op:value where op is one of eq|neq|gt|gte|lt|lte|in. For in, pipe-delimit values. An empty value matches conversations where the field was not collected (id:eq:), and neq with an empty value matches where it was (id:neq:). eq is exact equality. gt|gte|lt|lte require a numeric value.
dynamic_variable_paramslist of strings or nullOptional
Dynamic variable filters. Repeat param. Format: name:op:value where op is one of eq|neq|gt|gte|lt|lte|in. For in, pipe-delimit values. An empty value matches conversations where the variable was not set (name:eq:), and neq with an empty value matches where it was (name:neq:). eq is exact equality. gt|gte|lt|lte require a numeric value. Names containing ':' cannot be expressed.
tool_nameslist of strings or nullOptional
Filter conversations by tool names used during the call.
tool_names_successfullist of strings or nullOptional
Filter conversations by tool names that had successful calls.
tool_names_erroredlist of strings or nullOptional
Filter conversations by tool names that had errored calls.
include_invalid_tool_callsbooleanOptionalDefaults to false
Also match tool calls that never ran.
main_languageslist of strings or nullOptional
Filter conversations by detected main language (language code).
exclude_statuseslist of enums or nullOptional
Exclude conversations with the given statuses. Useful for hiding in-progress / processing conversations from list views.
Allowed values:
termination_reasonslist of strings or nullOptional
Filter conversations by their stored termination_reason (metadata.termination_reason). Repeat param to match any of several.
page_sizeintegerOptional1-50Defaults to 20
Number of results per page. Max 50.
summary_modeenumOptionalDefaults to exclude
Whether to include transcript summaries in the response.
Allowed values:
conversation_initiation_sourceenum or nullOptionalDefaults to unknown
Enum representing the possible sources for conversation initiation.
text_onlyboolean or nullOptional
conversation_product_typeenum or nullOptional
Restrict results to a single conversation product surface.
Allowed values:
branch_idstring or nullOptional
Filter conversations by branch ID.
version_idstring or nullOptional
Filter conversations by version ID.
topic_idslist of strings or nullOptional
Filter conversations by topic IDs assigned during topic discovery.
sort_byenumOptional
Sort order for search results. ‘search_score’ sorts by search score, ‘created_at’ sorts by conversation start time.
Allowed values:
cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.
Data collection filters. Repeat param. Format: id:op:value where op is one of eq|neq|gt|gte|lt|lte|in. For in, pipe-delimit values. An empty value matches conversations where the field was not collected (id:eq:), and neq with an empty value matches where it was (id:neq:). eq is exact equality. gt|gte|lt|lte require a numeric value.
Dynamic variable filters. Repeat param. Format: name:op:value where op is one of eq|neq|gt|gte|lt|lte|in. For in, pipe-delimit values. An empty value matches conversations where the variable was not set (name:eq:), and neq with an empty value matches where it was (name:neq:). eq is exact equality. gt|gte|lt|lte require a numeric value. Names containing ’:’ cannot be expressed.